io.swagger.client.model

## Class RoleAssignmentInput

- java.lang.Object
- - io.swagger.client.model.RoleAssignmentInput

-     public class RoleAssignmentInput
      extends Object

  RoleAssignmentInput

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleAssignmentInput()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RoleAssignmentInput` | `applicationRoleId(Integer applicationRoleId)`
    `boolean` | `equals(Object o)`
    `Integer` | `getApplicationRoleId()` Get applicationRoleId
    `Integer` | `getUserId()` Get userId
    `int` | `hashCode()`
    `void` | `setApplicationRoleId(Integer applicationRoleId)`
    `void` | `setUserId(Integer userId)`
    `String` | `toString()`
    `RoleAssignmentInput` | `userId(Integer userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleAssignmentInput

          public RoleAssignmentInput()

  - ### Method Detail

    - #### userId

          public RoleAssignmentInput userId(Integer userId)

    - #### getUserId

          public Integer getUserId()

      Get userId
      Returns:
        userId

    - #### setUserId

          public void setUserId(Integer userId)

    - #### applicationRoleId

          public RoleAssignmentInput applicationRoleId(Integer applicationRoleId)

    - #### getApplicationRoleId

          public Integer getApplicationRoleId()

      Get applicationRoleId
      Returns:
        applicationRoleId

    - #### setApplicationRoleId

          public void setApplicationRoleId(Integer applicationRoleId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.